<?php
// Settings
// Cache file
$file = "cache.txt";
// Blacklist url
$url = "https://lists.blocklist.de/lists/all.txt";
// Blacklist gets cached for X hours (24 default)
$hour = "24";
// Your real homepage url
$homepage = "http://kl.unaux.com/homepage.php";
// Name of the cookie to check from your main page script
// It will be set to true if it is a good ip and to false if it is bad
$cookiename = "ipcheck";
// How long the cookie will stay (1 hour by default)
$cookietime = "3600";

// SCRIPT START

header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
function get_content($file,$url,$hours = 24,$fn = '',$fn_args = '') {
	$current_time = time(); $expire_time = $hours * 60 * 60; $file_time = filemtime($file);
	if(file_exists($file) && ($current_time - $expire_time < $file_time)) {
		return file_get_contents($file);
	}
	else {
		$content = get_url($url);
		if($fn) { $content = $fn($content,$fn_args); }
		$content.= '<!-- cached:  '.time().'-->';
		file_put_contents($file,$content);
		return $content;
	}
}
function get_url($url) {
	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL,$url);
	curl_setopt($ch,CURLOPT_RETURNTRANSFER,1); 
	curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,5);
	$content = curl_exec($ch);
	curl_close($ch);
	return $content;
}
function get_client_ip_server() {
    $ipaddress = '';
    if ($_SERVER['HTTP_CLIENT_IP'])
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if($_SERVER['HTTP_X_FORWARDED_FOR'])
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if($_SERVER['HTTP_X_FORWARDED'])
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if($_SERVER['HTTP_FORWARDED_FOR'])
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if($_SERVER['HTTP_FORWARDED'])
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if($_SERVER['REMOTE_ADDR'])
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
 
    return $ipaddress;
}
?>
<html>
<body>
<center>
<div id="1">
<img src="img/working.gif" id="image">
<h1>Checking...</h1>
</div>
<div id="2" style="display:none;">
<img src="img/error.png" id="image">
<h1>Whoops, it seems like you have a bad ip address!</h1>
</div>
<script language="javascript">
var phpresponse = '<?php
if (strpos(get_content($file, $url, $hour), get_client_ip_server()) !== false) {
    echo "bad";
    setcookie($cookiename, "false", time()+$cookietime);
} else {
    setcookie($cookiename, "true", time()+$cookietime);
}
?>';
    function changeImage() {
        if (phpresponse.indexOf('bad') >= 0) 
        {
            document.getElementById("1").style.display = 'none';
            document.getElementById("2").style.display = 'block';
        } else {
        window.location = "<?php echo $homepage; ?>";
       }
    }
setTimeout(changeImage(), 3000);
</script>